PIPEMETER(1)

NAME
pipemeter - measure speed of data going through a pipe/redirection

SYNOPSIS
pipemeter [ -alV ] [ -s size ] [ -b block_size ] [ -m max_block_size ] [ -i interval ] [ -f infile -f infile2 ] infile infile2 ...

DESCRIPTION
pipemeter simply takes input on stdin, and redirects it to its stdout. While doing this, it measures how fast the data is moving through it. Alternatively, with the -s parameter, shows a progress bar as data is piped through it. All output generated by pipemeter is written to stderr.

While running in progress mode, pipemeter will display the ETA (Estimated Time of Arrival). When exiting, it will change this field to show the elapsed time for the program. In rate-only mode, it will just show elapsed time.

Note that as of pipemeter 0.8, Adaptive Block Sizing is used to speed up the movement of data through it. It will increase, or sometimes decrease, the block size in an attempt to find the one that works best for the combination of input and output. This also helps it deal better with, for instance, a temporarily busy disk. You can use -a to turn it off.

-s, --size size
    Sets the size of the input, and turns on the progress bar.

-b, --blocksize block_size
    Sets the size of blocks, in bytes, to move through the program at once. Default is 8192. A suffix of K means Kilobytes(x*1024) means Megabytes(x*1024*1024), and G means Gigabytes(x*1024*1024*1024).

-m, --maxblock max_block_size
    Sets the maximum block size for adaptive block sizing. Default is 8M.

-i, --interval interval
    Specify the number of seconds between updates on the speed and/or progress bar.

-f, --file infile
    infile specifies a file to be read instead of stdin. It will also automatically turn on the progress bar if a size can be determined. Multiple occurrences of -f will read the files in the order they are specified on the cmdline, and sizes will be added to each other. Note that this option remains for backward compatibility, it is far simpler to just specify the input files without options.

-F, --list listfile
    specifies a file to read in the list of input files from. Each line is a path to a file, terminated by a newline.

-r, --report
    report only mode. This causes the program to suppress outputting/calculating while running. It will print out only one line.

-a, --autooff
    turn off adaptive block sizing. Sometimes ABS can use insane amounts of RAM, such as when reading and writing to RAM disks.

-V, --version
    Prints a version number and exits.

-l, --log
    Turns on logging mode. Uses only newlines, no returns.

AUTHOR
Written by Clint Byrum <cbyrum@spamaps.org>

COPYRIGHT
Copyright © 2006 Clint Byrum
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.